Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class SOAPConnectionFactory

    java.lang.Object
      javax.xml.soap.SOAPConnectionFactory

public abstract class SOAPConnectionFactory
extends Object

A factory for creating SOAPConnection objects. Implementation of this class is optional. If SOAPConnectionFactory.newInstance() throws an UnsupportedOperationException then the implementation does not support the SAAJ communication infrastructure. Otherwise SOAPConnection objects can be created by calling createConnection() on the newly created SOAPConnectionFactory object.

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org, Thomas.Diesler@jboss.org

Constructor Summary
`SOAPConnectionFactory()`

Method Summary
`abstract SOAPConnection` | `createConnection()`
`static SOAPConnectionFactory` | `newInstance()` Creates an instance of the default SOAPConnectionFactory object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectionFactory

    public SOAPConnectionFactory()

Method Detail

### newInstance

    public static SOAPConnectionFactory newInstance()
                                             throws SOAPException,
                                                    UnsupportedOperationException

  Creates an instance of the default SOAPConnectionFactory object.

  Returns:
  Throws:
    `SOAPException`
    `UnsupportedOperationException`

### createConnection

    public abstract SOAPConnection createConnection()
                                             throws SOAPException

  Throws:
    `SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.